2018-05-22 15:38 CEST

View Issue Details Jump to Notes ] Wiki ]
IDProjectCategoryView StatusLast Update
0003846UltimaV[All Projects] Generalpublic2018-04-14 09:54
ReporterTim Felgentreff 
Assigned ToStingRayProject InfoUltima V: Warriors of Destiny (Origin Systems)
http://www.whdload.de/games/UltimaV.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003846: The game does not load save to disk. It prints that it saved, but there is no
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.2

The game does not load save to disk. It prints that it saved, but there is no HD activity and on restart (NumL for exit doesn't seem to work on original 68000) the game progress was not saved.
TagsNo tags attached.
MachineCDTV
CPU68000
CPUSpeed7
ChipSetOCS
GFXCardNone
ChipMem1 MB
FastMem8 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.3
importedyes
Attached Files
  • ? file icon .whdl_register (3,416 bytes) 2018-04-12 19:16 -
    ************************* 10-Apr-18 23:20:39 ************************18.3.5863***
    Slave='ultimav.slave' (772 bytes)
    ShadowMem   28AC60 -   2B3C60 ( 167936) AbsolutMem    29000 -    80000 ( 356352)
    Resload     9F1460 -   9F7A24 (  26052) at 9F1460  GL=$9F7B30
    Slave       9FFA10 -   9FFCF0 (    736) at 9FFA10  BaseMemSize=$80000
    attn=200(UAE,00) fc=-1 kn=0 cs=A7CE rw=1 zpt=-1 ep=0 ei=0
    setcpu=13E(IC,SCB,ECB,BWT)
    
    Function 'resload_LoadFileOffset' called with unacceptable arguments D0 =
    $FFFFD100  PC = $9FFCA4 (Slave $294).
    
    $009ffc7a tst.w        ($1a4c).w
    $009ffc7e bmi.b        $9ffc86
    $009ffc80 bsr.b        $9ffcac
    $009ffc82 jmp          ($1c06).w
    $009ffc86 movem.l      d0-d7/a0-a7,-(a7)              ;$0000083c
    $009ffc8a move.l       d0,d2
    $009ffc8c add.l        d1,d2
    $009ffc8e cmp.l        ($7444).w,d2
    $009ffc92 ble.b        $9ffc9a
    $009ffc94 move.l       ($7444).w,d0
    $009ffc98 sub.l        d1,d0
    $009ffc9a exg          a0,a1
    $009ffc9c move.l       ($9ffcd6,pc),a6
    $009ffca0 jsr          ($4c,a6)                       ;$009f14ac
    $009ffca4 movem.l      (a7)+,d0-d7/a0-a7              ;$0000083c
    $009ffca8 jmp          ($1c06).w
    $009ffcac movem.l      d0-d7/a0-a7,-(a7)              ;$0000083c
    $009ffcb0 exg          a0,a1
    $009ffcb2 move.l       ($9ffcd6,pc),a6
    $009ffcb6 jsr          (8,a6)                         ;$009f1468
    $009ffcba movem.l      (a7)+,d0-d7/a0-a7              ;$0000083c
    $009ffcbe rts
    $009ffcc0 movem.l      d0-d7/a0-a7,-(a7)              ;$0000083c
    $009ffcc4 exg          a0,a1
    $009ffcc6 move.l       ($9ffcd6,pc),a6
    $009ffcca jsr          ($c,a6)                        ;$009f146c
    $009ffcce movem.l      (a7)+,d0-d7/a0-a7              ;$0000083c
    $009ffcd2 jmp          ($1b8c).w
    $009ffcd6 ori.l        #$1460556c,(a7)+               ;$0000083c
    
    regular stack:
    $0000083C 009FFCA4 00000400 00003000 0000008F 000000AF D4D4D4D4 D5D5D5D5 D6D6D6D6
    $0000085C D7D7D7D7 0000CC18 00052A04 0003F81A A3A3A3A3 A4A4A4A4 A5A5A5A5 00000910
    $0000087C 00000880 0000008F 000000AF D4D4D4D4 D5D5D5D5 D6D6D6D6 D7D7D7D7 0000CC18
    $0000089C 00052A04 0003F81A A3A3A3A3 A4A4A4A4 A5A5A5A5 00000910 00001A90 0000008F
    $000008BC 000000AF D4D4D4D4 D5D5D5D5 D6D6D6D6 D7D7D7D7 00070000 00052A0C 0003F81A
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx FFFFD100      3000      3400        AF  D4D4D4D4  D5D5D5D5  D6D6D6D6  D7D7D7D7
    Ax    52A04      CC18     3F81A  A3A3A3A3  A4A4A4A4  A5A5A5A5    9F1460
    
                     TTSM III   XNZVC
    PC=  9FFCA4  SR %0010000000000000  USP=7FC00  SSP=83C
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000111000 dmacon=%0010011111111111 adkcon=$1100
    intreq=%0000011110000000
    vposr....A000  vhposr...0C75  joy0dat..BA4C  joy1dat..0000  clxdat...8022  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.0000  hhposr...0000  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000  tb=21FF<21FF	   crb=00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=00000111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=00060B  icr=00  sdr=00    event=075065  icr=00  sdr=00
    
    ? file icon .whdl_register (3,416 bytes) 2018-04-12 19:16 +

-Relationships
+Relationships

-Notes

note ~0006129

Wepl (manager)

Do you have quit the game properly via the Quit-Key?
WHDLoad caches write operations and will write changes on exit.

note ~0006130

Tim Felgentreff (reporter)

That would explain it. Quit with the key does not work for me on the 68000 CPU. I have read this is a known issue with whdload on that CPU, and that it might work with a newer CPU. I'll have to upgrade my hardware to try.

note ~0006131

Wepl (manager)

You can set option NoWriteCache to force an immediate write operation.
http://whdload.de/docs/en/opt.html#NoWriteCache

note ~0006136

Tim Felgentreff (reporter)

Setting the NoWriteCache option causes the game to exit with an invalid write exception. I can provide a core dump, if that would be useful. The slave itself does not support a quit-key for the 68000, but using a 68010 I can quit the game using the quit key and then the write is flushed to disk and I can resume the game at the saved position correctly.

Since this is a pretty old slave, if no one has time to update it, I would appreciate if a note could be added to the page saying that it requires a 68010 or better to work.

note ~0006137

Wepl (manager)

Can you please make a dump with the invalid write exception and NoWriteCache and attach the .whdl_register file here to this issue?

note ~0006139

Tim Felgentreff (reporter)

Sorry for the delay, here is the whdl_register file. I have the whdl_dump and whdl_memory files, too, if needed.

note ~0006140

StingRay (developer)

I have updated the patch, RawDIC is now used to create the files, 68000 quitkey support has been added and a few other things have been fixed too. Updated patch can be found on the WHDLoad site.

note ~0006142

Tim Felgentreff (reporter)

Thanks, I just tried with the new patch, works like a charm now.

note ~0006143

StingRay (developer)

I'll close this ticket then. :)
+Notes

-Issue History
Date Modified Username Field Change
2018-04-06 15:09 administrator New Issue
2018-04-06 15:14 Wepl Note Added: 0006129
2018-04-06 15:15 Tim Felgentreff Note Added: 0006130
2018-04-06 15:44 Wepl Note Added: 0006131
2018-04-09 09:48 Tim Felgentreff Note Added: 0006136
2018-04-09 22:31 Wepl Note Added: 0006137
2018-04-12 19:16 Tim Felgentreff File Added: .whdl_register
2018-04-12 19:16 Tim Felgentreff Note Added: 0006139
2018-04-12 21:36 StingRay Note Added: 0006140
2018-04-14 09:44 Tim Felgentreff Note Added: 0006142
2018-04-14 09:53 StingRay Note Added: 0006143
2018-04-14 09:54 StingRay Assigned To => StingRay
2018-04-14 09:54 StingRay Status new => resolved
2018-04-14 09:54 StingRay Resolution open => fixed
+Issue History